Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.common.ui.composites
Class SelectModelElementCompositeImpl

    java.lang.Object
      org.eclipse.emf.ecp.spi.common.ui.composites.AbstractFilteredSelectionComposite<org.eclipse.jface.viewers.TableViewer>
          org.eclipse.emf.ecp.spi.common.ui.composites.SelectModelElementCompositeImpl

All Implemented Interfaces:
  CompositeProvider, SelectionComposite<org.eclipse.jface.viewers.TableViewer>

Direct Known Subclasses:
  CheckedEStructuralFeatureCompositeImpl

    public class SelectModelElementCompositeImpl

extends AbstractFilteredSelectionComposite<org.eclipse.jface.viewers.TableViewer>
implements SelectionComposite<org.eclipse.jface.viewers.TableViewer>

This class provides a composite which displays available EObejcts to the user. The user can filter the items by typing in filter text.

Author:
  Eugen Neufeld

Constructor Summary
`SelectModelElementCompositeImpl(Object input, boolean multiSelection)` Default Constructor for the SelectModelElementCompositeImpl.

Method Summary
`void` | `dispose()` Disposes this composite provider.

Methods inherited from class org.eclipse.emf.ecp.spi.common.ui.composites.AbstractFilteredSelectionComposite
`createUI, getSelection, getViewer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecp.spi.common.ui.composites.SelectionComposite
`getSelection, getViewer`

Methods inherited from interface org.eclipse.emf.ecp.spi.common.ui.CompositeProvider
`createUI`

Constructor Detail

### SelectModelElementCompositeImpl

    public SelectModelElementCompositeImpl(Object input,
                                           boolean multiSelection)

  Default Constructor for the SelectModelElementCompositeImpl.

  Parameters:
    `input` - the input for the selection
    `multiSelection` - whether multi selection is allowed
  Since:
    1.5

Method Detail

### dispose

    public void dispose()

  Disposes this composite provider.

  Specified by:
    `dispose` in interface `CompositeProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.